| QxOrm 1.4.8 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Private Attributes
qx::dao::detail::QxSqlEmbedQuery Class Reference
QxDao : QxOrm library database communication used by persistence engine (ORM - Object Relational Mapping)

qx::dao::detail::QxSqlEmbedQuery : SQL element to embed a SQL sub-query inside a parent SQL query More...

`#include <QxSqlEmbedQuery.h>`

Inheritance diagram for qx::dao::detail::QxSqlEmbedQuery:

List of all members.

## Public Types
enum | type { _none, _in, _not_in, _is_equal_to, _is_not_equal_to }
## Public Member Functions
| QxSqlEmbedQuery (QxSqlEmbedQuery::type type=QxSqlEmbedQuery::_none)
| QxSqlEmbedQuery (int index, QxSqlEmbedQuery::type type=QxSqlEmbedQuery::_none)
virtual | ~QxSqlEmbedQuery ()
void | setQuery (const qx::QxSqlQuery &query)
virtual QString | toString () const
virtual void | resolve (QSqlQuery &query) const
virtual void | postProcess (QString &sql) const
virtual IxSqlElement::type_class | getTypeClass () const
## Protected Member Functions
virtual QString | getExtraSettings () const
virtual void | setExtraSettings (const QString &s)
## Private Attributes
std::unique_ptr < QxSqlEmbedQueryImpl > | m_pImpl
| Private implementation idiom.

## Detailed Description

qx::dao::detail::QxSqlEmbedQuery : SQL element to embed a SQL sub-query inside a parent SQL query

Definition at line 60 of file QxSqlEmbedQuery.h.

## Member Enumeration Documentation

enum qx::dao::detail::QxSqlEmbedQuery::type

Enumerator:

  _none |
  _in |
  _not_in |
  _is_equal_to |
  _is_not_equal_to |

Definition at line 65 of file QxSqlEmbedQuery.h.

## Constructor & Destructor Documentation

qx::dao::detail::QxSqlEmbedQuery::QxSqlEmbedQuery | ( | QxSqlEmbedQuery::type | type = `QxSqlEmbedQuery::_none` | ) |

qx::dao::detail::QxSqlEmbedQuery::QxSqlEmbedQuery | ( | int | index,
|  | QxSqlEmbedQuery::type | type = `QxSqlEmbedQuery::_none`
| ) |  |

virtual qx::dao::detail::QxSqlEmbedQuery::~QxSqlEmbedQuery | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual QString qx::dao::detail::QxSqlEmbedQuery::getExtraSettings | ( |  | ) | const`[protected, virtual]`

Implements qx::dao::detail::IxSqlElement.

virtual IxSqlElement::type_class qx::dao::detail::QxSqlEmbedQuery::getTypeClass | ( |  | ) | const`[virtual]`

Implements qx::dao::detail::IxSqlElement.

virtual void qx::dao::detail::QxSqlEmbedQuery::postProcess | ( | QString & | sql | ) | const`[virtual]`

Implements qx::dao::detail::IxSqlElement.

virtual void qx::dao::detail::QxSqlEmbedQuery::resolve | ( | QSqlQuery & | query | ) | const`[virtual]`

Implements qx::dao::detail::IxSqlElement.

virtual void qx::dao::detail::QxSqlEmbedQuery::setExtraSettings | ( | const QString & | s | ) | `[protected, virtual]`

Implements qx::dao::detail::IxSqlElement.

void qx::dao::detail::QxSqlEmbedQuery::setQuery | ( | const qx::QxSqlQuery & | query | ) |

virtual QString qx::dao::detail::QxSqlEmbedQuery::toString | ( |  | ) | const`[virtual]`

Implements qx::dao::detail::IxSqlElement.

## Member Data Documentation

std::unique_ptr<QxSqlEmbedQueryImpl> qx::dao::detail::QxSqlEmbedQuery::m_pImpl`[private]`

Private implementation idiom.

Definition at line 69 of file QxSqlEmbedQuery.h.

The documentation for this class was generated from the following file:

- C:/Dvlp/_Perso/QxOrm/include/QxDao/QxSqlElement/QxSqlEmbedQuery.h